﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Util
{
	static public class dbg
	{
		const int MAX_LINES = 1000;
		static private string[] msg = new string[MAX_LINES];
		static private int Wpos = 0;
		static private int Rpos = 0;
		static public int r = 1;

		static public void AddMsg(string str)
		{
			int t;
			t = Wpos;
			t++;
			if (t > MAX_LINES - 1) t = 0;
			if (t == Rpos) return;
			msg[t] = System.DateTime.Now.ToString("HH:mm:ss") + "  " + str + "\r\n";
			Wpos = t;
		}

		static public string GetMsg()
		{
			if (Rpos == Wpos) return "";
			Rpos++;
			if (Rpos > MAX_LINES - 1) Rpos = 0;
			return msg[Rpos];
		}

		static public void Dump(string title, byte[] dat, int len)
		{
			string str = title + "(" + len.ToString() + "):";
			int i;
			for (i = 0; i < len; i++)
			{
				str += String.Format("{0:X02}", dat[i]) + " ";
			}
			AddMsg(str);
		}
	}
}
